<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="bootstrap.css">
</head>

<body class="main">
    <div >

        
           <a href="login.html" class="btn btn-primary" style="margin: 10px;">login</a>

        <div class="signup-main-div">

            <div>


                <div class="form">
                    <a href="#"><img width="25%" src="images/resturant-logo-removebg-preview.png" alt="logo"></a>
                    <div class="form-group">
                        <label for="Usertype">User Type</label>
                         <select class="form-select form-control" id="signup-usertype">
                            <option value="resturant">resturant</option>
                            <option value="User">User</option>
                          </select>
                    </div>
                    <div class="form-group">
                        <label for="Username">User Name</label>
                        <input type="name" class="form-control" id="signup-username" placeholder="Enter Username" >
                    </div>
                    <div class="form-group">
                        <label for="InputEmail">Email address</label>
                        <input type="email" class="form-control" id="signup-email" placeholder="Enter email" required>
                        <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone
                            else.</small>
                    </div>
                    <div class="form-group">
                        <label for="Password">Password</label>
                        <input type="password" class="form-control" id="signup-password" placeholder="Password">
                    </div>
                    <div class="form-group">
                        <label for="Country">Country</label>
                        <input type="text" class="form-control" id="signup-country" placeholder="Country">
                    </div>
                    <div class="form-group">
                        <label for="city">City</label>
                        <input type="text" class="form-control" id="signup-city" placeholder="City">
                    </div>
                    <div style="display: none;" id="alert-success" class="alert alert-success" role="alert">
                        A simple success alert—check it out!
                      </div>
                      <div  style="display: none;" id="alert-danger" class="alert alert-danger" role="alert">
                        A simple danger alert—check it out!
                      </div>
                </div>
                <button onclick="signup()" class="btn btn-primary btn-signin">
                <span id="loaderText">Signup</span>
                <div id="loader" style="display: none;" class="spinner-border" role="status">
                    <span class="sr-only"></span>
                </div></button>
                


                  
            </div>

        </div>
    </div>


    <!-- 
    
     -->

<!-- The core Firebase JS SDK is always required and must be listed first -->
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-auth.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-database.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-storage.js"></script>

<!-- TODO: Add SDKs for Firebase products that you want to use
     https://firebase.google.com/docs/web/setup#available-libraries -->

<script>
  // Your web app's Firebase configuration
  var firebaseConfig = {
    apiKey: "AIzaSyABvPf_PQLP_iQ7jv4SN69cupvW_S85GoE",
    authDomain: "my-project-ecfb2.firebaseapp.com",
    databaseURL: "https://my-project-ecfb2-default-rtdb.firebaseio.com",
    projectId: "my-project-ecfb2",
    storageBucket: "my-project-ecfb2.appspot.com",
    messagingSenderId: "910474502913",
    appId: "1:910474502913:web:67e57d45fd1213a1d57100"
  };
  // Initialize Firebase
  firebase.initializeApp(firebaseConfig);
</script>


    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
        <script src="app.js"></script>
</body>

</html>